Change the password

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /auth/change-password

Change the password of the current user. Give the current password and the new password two times.

application/json

Body Required

  • old_password string(password) Required

    Current password

    Minimum length is 1.

  • password string(password) Required

    New password

    Minimum length is 1.

  • password_2 string(password) Required

    New password again

    Minimum length is 1.

Responses

  • 200

    The password is changed

  • 400

    The current password is wrong, the two new passwords are different, the new password is too short, the user is inactive, or too many login attempts failed recently

  • 403

    The token belongs to a bot

POST /auth/change-password
curl -X POST "http://api.example.com/auth/change-password" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "old_password": "",
  "password": "",
  "password_2": ""
}'
import requests

url = "http://api.example.com/auth/change-password"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "old_password": "",
    "password": "",
    "password_2": ""
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "old_password": "string",
  "password": "string",
  "password_2": "string"
}